import request from '@/config/axios'

// 获取热门企业
export const getHotEnterprise = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/job/advertised/get/hot/enterprise',
    params
  })
}

// 企业详情
export const getEnterpriseDetails = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/enterprise/detail',
    params
  })
}

// 效验求职者是否关注该企业
export const getEnterpriseSubscribeCheck = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/person/enterprise/subscribe/check',
    params
  })
}

// 求职者关注企业
export const getEnterpriseSubscribe = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/enterprise/subscribe',
    data
  })
}

// 求职者取消关注企业
export const getEnterpriseUnsubscribe = async (enterpriseId) => {
  return await request.delete({
    url: `/app-api/menduner/system/person/enterprise/unsubscribe?enterpriseId=` + enterpriseId
  })
}

// 企业检索
export const getEnterpriseSearch = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/enterprise/search',
    params
  })
}

// 点击企业详情埋点
export const enterpriseClick = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/enterprise/click',
    data
  })
}