export default {
  common: {
    confirmTitle: 'System Hint',
    edit: 'Edit',
    delete: 'Delete',
    cancel: 'Cancel',
    save: 'Save',
    add: 'Add',
    toUpload: 'Go upload',
    change: 'Change',
    complete: 'Complete',
    saveMsg: 'Save successful',
    toHome: 'Go back to the homepage',
    resubmit: 'Resubmit',
    submittedSuccessfully: 'Submitted successful',
    switchSuccessful: 'Switch successful',
    addMsg: 'New successfully added',
    delMsg: 'Delete successful',
    uploadPictures: 'upload pictures',
    uploadSucMsg: 'Upload successful',
    uploadErrMsg: 'Upload failed',
    fileSizeExceed: 'The file size cannot exceed 10M',
    fileFormatIncorrect: 'The uploaded file format is incorrect',
    refresh: 'Refresh',
    currentlyUnavailable: 'Currently unavailable',
    upload: 'Upload',
    home: 'Home',
    position: 'Position',
    company: 'Company',
    operationSuccessful: 'Operation successful'
  },
  sys: {
    api: {
      operationFailed: 'Operation failed',
      errorTip: 'Error Tip',
      errorMessage: 'The operation failed, the system is abnormal!',
      timeoutMessage: 'Login timed out, please log in again!',
      apiTimeoutMessage: 'The interface request timed out, please refresh the page and try again!',
      apiRequestFailed: 'The interface request failed, please try again later!',
      networkException: 'network anomaly',
      networkExceptionMsg: 'Please check if your network connection is normal! The network is abnormal',
      errMsg401: 'The user does not have permission (token, user name, password error)!',
      errMsg403: 'The user is authorized, but access is forbidden!',
      errMsg404: 'Network request error, the resource was not found!',
      errMsg405: 'Network request error, request method not allowed!',
      errMsg408: 'Network request timed out!',
      errMsg500: 'Server error, please contact the administrator!',
      errMsg501: 'The network is not implemented!',
      errMsg502: 'Network Error!',
      errMsg503: 'The service is unavailable, the server is temporarily overloaded or maintained!',
      errMsg504: 'Network timeout!',
      errMsg505: 'The http version does not support the request!',
      errMsg901: 'Demo mode, no write operations are possible!'
    },
    tourist: 'Tourist',
    news: 'News',
    lookingJob: 'Looking For Job',
    recruit: 'Recruit',
    switchCities: 'Switch Cities'
  },
  login: {
    username: 'Username',
    password: 'Password',
    login: 'Sign in',
    reLogin: 'Sign in again',
    register: 'Sign in or Register',
    checkPassword: 'Confirm password',
    mobileNumber: 'Mobile Number',
    mobileNumberPlaceholder: 'Please Enter Mobile Number',
    correctPhoneNumber: 'Please enter the correct phone number',
    getSmsCode: 'Get SMS Code',
    retrieveAgain: 'Retrieve again',
    sendCode: 'Successfully sent, please check your inbox',
    enterCode: 'Please enter the verification code',
    enterPassword: 'Please enter password',
    smsLogin: 'SMS login',
    passwordLogin: 'Password login',
    enterpriseLogin: 'Enterprise login',
    userAgreement: 'User Agreement',
    privacyPolicy: 'Privacy Policy',
    switchToPersonalLogin: 'Switch to personal login',
    agreeLogin: 'By logging in/registering, you agree to',
    smsOrPassword: 'SMS, password login or registration',
    scanWeChatCode: 'Scan WeChat QR code for quick login',
    loginSuccess: 'Login successful',
    loginFailed: 'Login failed, And no enterprise was found under this user'
  },
  form: {},
  position: {
    moreBtn: 'View More Positions',
    recommend: 'Recommended Positions',
    latest: 'Latest Position',
    urgent: 'Urgent Position',
    allBtn: 'View All Positions',
    throughCommunication: 'Through Communication',
    delivered: 'Delivered',
    interview: 'Interview',
    interested: 'Interested',
    interestedInMe: 'Interested In Me',
    haveSeenMe: 'Have Seen Me',
    pausePublishing: 'Pause Publishing',
    expiredPosition: 'Expired Position',
    drafts: 'Drafts',
    closed: 'Closed',
    recruitmentInProgress: 'Recruitment In Progress',
    newPositionsAdded: 'New positions added',
    screen: 'Screen',
    positionName: 'Please enter the position name',
    popularPosition: 'Popular positions',
    submitResume: 'Submit resume',
    communicate: 'Communicate immediately',
    currentOnline: 'Currently online',
    jobResponsibilities: 'Job responsibilities',
    jobRequirements: 'Job requirements',
    cancelFavorite: 'Cancel Favorite',
    collection: 'Collection',
    recruitmentPosition: 'Recruitment positions',
    similarPosition: 'Similar positions',
    address: 'Work address',
    positionCollection: 'Position Collection',
    companyCollection: 'Company Collection'
  },
  enterprise: {
    companyInfo: 'Company Information',
    moreBtn: 'View More Enterprises',
    joiningEnterprise: 'Joining Enterprise',
    registeringNewEnterprise: 'Registering A New Enterprise',
    infoSetting: { // 企业信息设置
      basicInfo: 'Basic Information',
      enterpriseLogo: 'Enterprise LOGO',
      enterpriseAlbum: 'Enterprise Album',
      welfareLabel: 'Welfare Label',
      enterpriseVideo: 'Enterprise Video',
      recruitmentQRCode: 'Recruitment QR Code',
    },
  },
  resume: {
    basicInfo: 'Basic Information',
    onlineResume: 'Online resume',
    personalAdvantages: 'Personal Advantages',
    jobIntention: 'Job Intention',
    trainingExperience: 'Training Experience',
    educationExp: 'Educational Experience',
    workExperience: 'Work Experience',
    projectExperience: 'Project Experience',
    vocationalSkills: 'Vocational Skills',
    firstWorkTime: 'First Work Time',
    dataDefaultPrompt: 'Please fill in your ',
    expand: 'Expand',
    retract: 'Retract',
    deleteAttachment: 'Are you sure to delete this attachment?',
    uploadFiveCopies: 'Upload up to 5 copies',
    selectResumeToSubmit: 'Please select the resume to be submitted',
    resumeYetSubmit: 'You have not uploaded your resume yet. Please upload your resume first before submitting it',
    alreadyResume: 'You have already submitted your resume, please do not resubmit it',
    deliverySuccess: 'Delivery successful',
    selectedResumeNotExist: 'The currently selected resume does not exist',
    phoneNumber: 'Mobile phone number',
    userEmail: 'User email',
    dateOfBirth: 'Date of Birth:',
    currentAddress: 'Current address',
    topResume: 'Top resume',
    refreshResume: 'Refresh resume',
    increaseMoreExposure: 'Increase more exposure',
    enhanceResumeActivity: 'Enhance resume activity',
    attachmentResume: 'Attachment resume',
    uploadUpToFiveCopies: 'Upload up to 5 copies'
  },
  setting: {
    accountSettings: 'Account Settings',
    accountBinding: 'Account binding',
    realNameAuthentication: 'Real name authentication',
    editPassword: 'Change password',
    privacyPolicySettings: 'Privacy settings',
    logOut: 'Logout',
    switchToJobSeeker: 'Switch to Job Seeker',
    switchToRecruit: 'Switch to Recruiter'
  }
}