// 个人路由信息

import Layout from '@/layout'
const personal = [
  {
    path: '/personalAccount',
    component: Layout,
    name: 'personalAccount',
    children: [
      {
        path: '/personalAccount',
        component: () => import('@/views/Home/personal/account/index'),
        meta: {
          title: '账号设置'
        },
        children: [
          {
            path: '/personalAccount/editPassword',
            component: () => import('@/views/Home/personal/account/dynamic/editPassword'),
            meta: {
              title: '修改密码'
            }
          },
          {
            path: '/personalAccount/accountBinding',
            component: () => import('@/views/Home/personal/account/dynamic/accountBinding'),
            meta: {
              title: '账号加入'
            }
          },
          {
            path: '/personalAccount/realAuthentication',
            component: () => import('@/views/Home/personal/account/dynamic/realAuthentication'),
            meta: {
              title: '实名认证'
            }
          },
          {
            path: '/personalAccount/privacySettings',
            component: () => import('@/views/Home/personal/account/dynamic/privacySettings'),
            meta: {
              title: '隐私设置'
            }
          }
        ]
      }
    ]
  },
  {
    path: '/resume',
    component: Layout,
    name: 'resume',
    meta: {
      title: '在线简历'
    },
    children: [
      {
        path: '/resume',
        component: () => import('@/views/resume/index')
      }
    ]
  },
  {
    path: '/personalCenter',
    component: Layout,
    name: 'personalCenter',
    meta: {
      title: '个人中心'
    },
    children: [
      {
        path: '/personalCenter',
        component: () => import('@/views/PersonalCenter/index')
      }
    ]
  },
  {
    path: '/enterprise/register',
    component: Layout,
    name: 'enterpriseRegister',
    children: [
      {
        path: '/enterprise/register',
        component: () => import('@/views/enterprise/components/register'),
        meta: {
          title: '注册新企业'
        },
      },
      {
        path: '/enterprise/joiningEnterprise',
        component: () => import('@/views/enterprise/components/joiningEnterprise'),
        meta: {
          title: '加入企业'
        }
      },
      {
        path: '/enterprise/inReview',
        component: () => import('@/views/enterprise/components/inReview.vue'),
        meta: {
          title: '申请信息'
        }
      }
    ]
  }
]
export default personal