export const blobToJson = (blob) => {
  return new Promise((resolve, reject) => {
    const reader = new FileReader()

    reader.onload = function (event) {
      const jsonString = event.target.result
      const jsonObject = JSON.parse(jsonString)
      resolve(jsonObject)
    }

    reader.onerror = function (error) {
      reject(error)
    }

    reader.readAsText(blob)
  })
}

// 判断是图片还是视频
export const checkIsImage = (url) => {
  var link = new URL(url)
  var path = link.pathname
  var extension = path.split('.').pop().toLowerCase()
  var imageExtensions = ['jpg', 'jpeg', 'gif', 'png']
  var videoExtensions = ['mp4', 'wmv', 'avi', 'mov']

  // 图片
  if (imageExtensions.includes(extension)) {
    return true
  }

  // 视频
  if (videoExtensions.includes(extension)) {
    return false
  }

  return null
}